> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notiline.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Créer un contact



## OpenAPI

````yaml https://api.notiline.net/docs post /contact
openapi: 3.0.0
info:
  title: Notiline API Documentation
  description: >-
    Documentation complète de l'API Notiline. Fournit des informations sur les
    endpoints, les paramètres, et les réponses.
  contact:
    name: Support Notiline
    email: support@notiline.net
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: 1.0.0
servers: []
security:
  - BearerAuth: []
tags:
  - name: Solde
    description: Opérations de solde
  - name: Contact
    description: Gestion des contacts
  - name: Groupe
    description: Gestion des groupes
  - name: HLR Lookup
    description: Service de recherche HLR
  - name: Métrique
    description: Opérations de métriques
  - name: Campagne
    description: Campagne SMS
  - name: Account
    description: Account
  - name: Otp
    description: Otp
  - name: Expéditeur
    description: Expéditeur
  - name: SMS
    description: SMS
paths:
  /contact:
    post:
      tags:
        - Contact
      summary: Créer un contact
      operationId: 0a5327cbce0b6c982c94eb87eb99f50d
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                phone_number:
                  description: Numéro de téléphone du contact
                  type: string
                  example: '+2250709538217'
                name:
                  description: Nom du contact
                  type: string
                  example: John Doe
                surname:
                  description: Prénom du contact
                  type: string
                  example: Doe
                gender:
                  description: Genre du contact
                  type: string
                  example: male
                email:
                  description: Adresse e-mail du contact
                  type: string
                  example: john.doe@example.com
                city:
                  description: Ville du contact
                  type: string
                  example: Abidjan
                group_id:
                  description: ID du groupe de contact
                  type: string
                  format: uuid
                birth_date:
                  description: Date de naissance du contact
                  type: string
                  format: date
                external_id:
                  description: ID externe du contact
                  type: string
                avatar_url:
                  description: URL de l'avatar du contact
                  type: string
                preferred_language:
                  description: Langue préférée du contact
                  type: string
              type: object
      responses:
        '200':
          description: Opération réussie
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Contact'
        '400':
          description: Entrée invalide
        '401':
          description: Accès refusé
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: integer
                    example: 401
                  message:
                    type: string
                    example: Accès refusé
                type: object
        '500':
          description: Erreur interne du serveur
      security:
        - bearerAuth: []
components:
  schemas:
    Contact:
      title: Contact
      description: Model for contact
      properties:
        id:
          description: ID of the contact
          type: string
          format: uuid
        company_id:
          description: Company ID associated with the contact
          type: string
          format: uuid
        group_id:
          description: Group ID associated with the contact
          type: string
          format: uuid
        country_id:
          description: Country ID associated with the contact
          type: string
          format: uuid
        lot:
          description: Lot associated with the contact
          type: string
        name:
          description: Name of the contact
          type: string
        surname:
          description: Surname of the contact
          type: string
        phone_number:
          description: Phone number of the contact
          type: string
        gender:
          description: Gender of the contact
          type: string
        email:
          description: Email of the contact
          type: string
        city:
          description: City of the contact
          type: string
        birth_date:
          description: Birth date of the contact
          type: string
          format: date
        created_by:
          description: User ID who created the contact
          type: string
          format: uuid
        origin:
          description: Origin of the contact
          type: string
        modified_from:
          description: Modified from of the contact
          type: string
        external_id:
          description: External ID associated with the contact
          type: string
        preferred_language:
          description: Preferred language of the contact
          type: string
        avatar_url:
          description: Avatar URL of the contact
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key passed in the Authorization Bearer Token
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````